Маркерное ведро
Определение
Маркерное ведро — модель измерения скорости: маркеры копятся в «ведре» с заданной частотой до его глубины, а каждый переданный байт или пакет их расходует. Скорость маркеров задаёт среднюю скорость потока, глубина ведра — размер допустимого всплеска.
Также ищут: Token bucket · корзина токенов · измеритель маркерного ведра
Зачем это знать
Ведро разрешает короткий всплеск без нарушения среднего профиля. Без заданной скорости и глубины нельзя предсказать, какой трафик будет признан соответствующим.
Карта понятия
Что подтверждено
Измеритель маркерного ведра задаётся скоростью появления маркеров и глубиной ведра; соответствие пакета зависит от числа маркеров в момент прихода.
Граница применимости: Модели измерения DiffServ; варианты с учётом цвета добавляют правила для предыдущей метки.
Маркерное ведро описывает профиль трафика, но не резервирует ёмкость следующих каналов и не задаёт работу планировщика.
Граница применимости: Измерение трафика и отдельное выделение ресурсов пересылки.
Что проверить
- Укажите единицу скорости.
- Укажите размер ведра и всплеска.
- Проверьте начальное состояние и учёт цвета пакета.
Первоисточники
- RFC 2697: A Single Rate Three Color Marker
Определяет meter на основе committed information rate и двух token buckets с committed/excess burst sizes.
- RFC 3290: An Informal Management Model for Diffserv Routers
Даёт operational model для classifiers, meters, markers, droppers, queues, schedulers, shaping, policing и token buckets.
Утверждения: 01
- RFC 2475: An Architecture for Differentiated Services
Определяет DS domain, classifiers, meters, markers, shapers, policers, behavior aggregates и per-hop behaviors.
Утверждения: 02